<?
$r="../../";
require_once($r."inc/funciones.php");
$mysqli = connectDB($r);
session_start();
$spe=$_SESSION['perfil'];
$idusuario=$_SESSION['userid'];

$code = $_POST['preforma'];

$pedir = $_POST['pedir'];
$reference = $_POST['ref'];
$cliente = $_POST['cliente'];
$direccion = $_POST['direccion'];
if($cliente == 'otro'){
    $empresa = $_POST['empresa'];
    if(empty($empresa)){
        echo "<div class='alert alert-danger  alert-dismissible text-center bg-warning'><a href='#' class='close' data-dismiss='alert' aria-label='close'>&times;</a><h6>INGRESA LA INFORMACION DEL CLIENTE </h6></div>";
        exit();
    }
    $contacto = $_POST['contacto'];
    $celular = $_POST['celular'];
    if(empty($celular)){
        echo "<div class='alert alert-danger  alert-dismissible text-center bg-warning'><a href='#' class='close' data-dismiss='alert' aria-label='close'>&times;</a><h6>INGRESA LA INFORMACION DEL CLIENTE </h6></div>";
        exit();
    }
    $ciudad = $_POST['ciudad'];
    $correo = $_POST['correo'];
    
}
$totalbase = $_POST['totalbase'];
$totalica = $_POST['totalica'];
$tiva = $_POST['tiva'];
$totalretefuente = $_POST['totalretefuente'];
$ttotal = $_POST['ttotal'];
$documentos = $_POST['documentos'];
$pago = $_POST['pago'];
$fecha = $_POST['fecha'];
$nota = $_POST['nota'];
$adicional = $_POST['otros'];

$aprod = array();
foreach($_POST as $key => $item){
    $param_name = 'iden';
    if(substr($key, 0, strlen($param_name)) == $param_name) {
        $idkpro= $_POST['cod'.$item];
        $capro= $_POST['cant'.$item];
        $tpro= $_POST['tipo'.$item];
        $sinfoproducto = sinfo('z_productos',$idkpro);
        $sinfopresent = sinfo('z_presentaciones_productos',$tpro);
        $qry1=$mysqli->query("SELECT * FROM `z_inventario` WHERE `idproducto` = $idkpro");
        $row1 = $qry1->fetch_assoc();
        $lastcant = $capro*$sinfopresent['cantidad'];
        $icant=$row1['cantidad'];
        //echo $idkpro.' - C'.$lastcant.' --('.$sinfopresent['cantidad'].')<= I'.$icant.'<hr>';
        $aprod[$idkpro]['cantidad'] = $aprod[$idkpro]['cantidad']+$lastcant;
        $aprod[$idkpro]['icantidad'] = $icant;
        $aprod[$idkpro]['nproducto'] = $sinfoproducto['producto'];
        
    }
}
if(empty($aprod)){
    echo "<div class='alert alert-danger  alert-dismissible text-center bg-warning'><a href='#' class='close' data-dismiss='alert' aria-label='close'>&times;</a><h6>FALTA AÑADIR ALGUN PRODUCTO</h6></div>";
    exit();
}

if($cliente == 'otro'){
    $empresa = $_POST['empresa'];
    $contacto = $_POST['contacto'];
    $celular = $_POST['celular'];
    $ciudad = $_POST['ciudad'];
    $correo = $_POST['correo'];
    $mysqli->query("INSERT INTO z_cotizacion ( `idcliente`, `empresa`, `contacto`, `telefono`, `ciudad`, `direccion`, `correo`, `idpago`, `subtotal`, `tiva`, `ica`, `retefuente`,  `total`,  `adicional`, `documentos`, `codigo`, `fecha_entrega`, `comentarios`, `idusuario`) VALUE (NULL,'$empresa','$contacto','$celular','$ciudad','$direccion','$correo','$pago','$totalbase','$tiva','$totalica','$totalretefuente','$ttotal','$adicional','$documentos','0000','$fecha','$nota','$idusuario')");
    
}else{
    $infoclient = sinfo('z_clientes',$cliente);
    $empresa = $infoclient['nombre'];
    $contacto = $infoclient['contacto1'];
    $celular = $infoclient['celular1'];
    $ciudad = $infoclient['municipio'];
    $correo = $infoclient['correo'];
    $mysqli->query("INSERT INTO z_cotizacion ( `idcliente`, `empresa`, `contacto`, `telefono`, `ciudad`, `direccion`, `correo`, `idpago`, `subtotal`, `tiva`, `ica`, `retefuente`,  `total`,  `adicional`, `documentos`, `codigo`, `fecha_entrega`, `comentarios`, `idusuario`) VALUE ('$cliente','$empresa','$contacto','$celular','$ciudad','$direccion','$correo','$pago','$totalbase','$tiva','$totalica','$totalretefuente','$ttotal','$adicional','$documentos','0000','$fecha','$nota','$idusuario')");
}
$last_id = $mysqli->insert_id;
foreach($_POST as $key => $item){
            $param_name = 'iden';
            if(substr($key, 0, strlen($param_name)) == $param_name) {
                $idpro=$item;
                $idkpro= $_POST['cod'.$idpro];
                $capro= $_POST['cant'.$idpro];
                $prpro= $_POST['prec'.$idpro];
                $tpro= $_POST['tipo'.$idpro];
                $iva= $_POST['iva'.$idpro];
                $cat= $_POST['cat'.$idpro];
                $subtotal = $subtotal + ($capro*$prpro);
                if($idpro>2147483647){
                    $namep = substr($item, 10,-strlen($tpro));/*
                    $namep = decryptIt($namep);*/
                    $idkpro = 2147483647;
                    if (!$mysqli->query("INSERT INTO z_cotizacion_pedido (idcotizacion, idproducto, idpresentacion, cantidad, precio, iva, producto, categoria) VALUE ('$last_id','$idkpro','$tpro','$capro','$prpro','$iva', '$namep', '$cat')")) {
                        printf("Error message: %s\n", $mysqli->error);
                    }
                }else{
                    if (!$mysqli->query("INSERT INTO z_cotizacion_pedido (idcotizacion, idproducto, idpresentacion, cantidad, precio, iva) VALUE ('$last_id','$idkpro','$tpro','$capro','$prpro','$iva')")) {
                        printf("Error message: %s\n", $mysqli->error);
                    }
                }
            }
        }

$mysqli->query("UPDATE `z_cotizacion` SET `estado` = '1' WHERE `z_cotizacion`.`id` = $code;");
$mysqli->query("UPDATE `pagina_compras_mails` SET `estado` = 'finalizado' WHERE reference = '$reference'");
echo "listar_cotizaciones.php?msg=LA COTIZACION N° $last_id SE HA REALIZADO CON ÉXITO";

?>